一个Qt版的豆瓣电台客户端

Totem,mplayer,sopcast,realplayer,bmp
ginuerzh
帖子: 20
注册时间: 2011-01-02 21:37
送出感谢: 0
接收感谢: 1 次

一个Qt版的豆瓣电台客户端

#1

帖子 ginuerzh » 2013-02-04 21:18

用QML写的一个豆瓣电台客户端,可以登录收听私人及红星电台。
基本功能刚刚完成,欢迎试用。
https://github.com/ginuerzh/qDoubanFM

图片

图片

图片

图片
头像
mraandtux
论坛版主
帖子: 5089
注册时间: 2009-12-12 19:29
系统: Ubuntu + Windows 10
来自: 随便一个地方
送出感谢: 0
接收感谢: 158 次
联系:

Re: 一个Qt版的豆瓣电台客户端

#2

帖子 mraandtux » 2013-02-04 21:33

需要自行编译?
ginuerzh
帖子: 20
注册时间: 2011-01-02 21:37
送出感谢: 0
接收感谢: 1 次

Re: 一个Qt版的豆瓣电台客户端

#3

帖子 ginuerzh » 2013-02-04 23:37

这个客户端是用QML写的,不含C++代码,因此直接用qmlviewer运行就ok了。
sicksoul
帖子: 6
注册时间: 2013-01-26 12:44
系统: ubuntu12.04 lts
送出感谢: 1 次
接收感谢: 0

Re: 一个Qt版的豆瓣电台客户端

#4

帖子 sicksoul » 2013-02-04 23:48

看起来好棒啊,我灰常喜欢豆瓣

Sent from my ZTE N880E using Tapatalk 2
头像
chhx4567
帖子: 220
注册时间: 2009-08-24 14:53
系统: Linux Mint 13 XFCE
来自: 新疆
送出感谢: 7 次
接收感谢: 3 次

Re: 一个Qt版的豆瓣电台客户端

#5

帖子 chhx4567 » 2013-02-07 12:15

很不错哦。 :em11
我的博客
ubuntu的fcitx-rime
ppa轻松装java
常用:Eclipse Firefox GoldenDict GuakeTerminal pidgin-lwqq
谁用谁知道:iBus-Rime(输入法) Spotify(P2P音乐) SciTE(轻巧的文本编辑器) CherryTree(适合记录代码的笔记簿) f.lux或Redshift(根据地理位置自动调节显示器色温和亮度)
头像
fuhaoyun
帖子: 526
注册时间: 2009-05-08 14:12
来自: http://weibo.com/u/2201287863
送出感谢: 2 次
接收感谢: 4 次

Re: 一个Qt版的豆瓣电台客户端

#6

帖子 fuhaoyun » 2013-02-07 20:47

我不是开发者,只玩deb,编译太累了,

只用Ubuntu/Unity:安全、高效、自由、简洁!
http://weibo.com/u/2201287863
----------------------------------------------------
用了4年Ubuntu,发现离开windows也可以活得很好
看球赛、炒股、聊天、office等等都不算问题了
一切都是习惯,困难解决了就好

头像
温习江湖
帖子: 582
注册时间: 2012-06-06 18:20
送出感谢: 4 次
接收感谢: 11 次

Re: 一个Qt版的豆瓣电台客户端

#7

帖子 温习江湖 » 2013-02-25 18:51

非常不错,不过需要安装的东西太多,就不体验了。
相比要安装这么多东西之下,我更希望楼主提供一个静态编译的文件
Vimwiki建的小博客 wweir.org

历史的车轮压过一切,任何人或事物都留在了车辙里,只有思想和智慧或附在车辄上走上那么一段时间
nickjayblack
帖子: 6
注册时间: 2013-04-01 10:14
系统: ChrUbuntu 12.04
送出感谢: 0
接收感谢: 0

Re: 一个Qt版的豆瓣电台客户端

#8

帖子 nickjayblack » 2013-04-02 7:24

谢谢楼主,可是不会编译,真苦恼!

昨晚装搜狗装了一晚,希望楼主发个deb的。
lht520yy
帖子: 15
注册时间: 2010-12-08 16:28
送出感谢: 0
接收感谢: 0

Re: 一个Qt版的豆瓣电台客户端

#9

帖子 lht520yy » 2013-04-02 9:04

希望有deb版本,我是新人,还不会折腾。

Sent from my GT-P7510 using Tapatalk HD
头像
lxf1992521
帖子: 240
注册时间: 2011-06-26 18:28
送出感谢: 3 次
接收感谢: 4 次
联系:

Re: 一个Qt版的豆瓣电台客户端

#10

帖子 lxf1992521 » 2013-04-04 17:32

楼主,不行啊!我在12.04上可以正常使用,在11.04上面就不行。
我安装了依赖后,运行提示:

代码: 全选

ilinunix@Bentutu:~/qDoubanFM$ qmlviewer qDoubanFM.qml
file:///home/ilinunix/qDoubanFM/qDoubanFM.qml:2:1: module "QtQuick" version 1.1 is not installed 
     import QtQuick 1.1 
     ^ 
出来的窗口是一个空白,里面什么都没有阿!
头像
shuizhongyu
帖子: 287
注册时间: 2012-11-06 12:43
系统: arch,ubuntu
来自: 安徽合肥
送出感谢: 7 次
接收感谢: 0
联系:

Re: 一个Qt版的豆瓣电台客户端

#11

帖子 shuizhongyu » 2013-04-04 23:05

.........
Luckily,I have google.

新手,请大家不吝赐教,十分感谢
renzhentinghai
帖子: 8
注册时间: 2013-04-02 9:53
系统: ubuntu 12.10
送出感谢: 0
接收感谢: 0

Re: 一个Qt版的豆瓣电台客户端

#12

帖子 renzhentinghai » 2013-04-25 20:57

效果很不错哦~希望可以继续完善 :em11
Soph
帖子: 100
注册时间: 2012-08-25 14:56
送出感谢: 0
接收感谢: 2 次

Re: 一个Qt版的豆瓣电台客户端

#13

帖子 Soph » 2013-04-25 22:14

qmlviewer: could not find a Qt installation of ''
请问楼主该怎么做才能运行?
头像
ws2115465
帖子: 68
注册时间: 2011-01-20 11:28
送出感谢: 0
接收感谢: 0

Re: 一个Qt版的豆瓣电台客户端

#14

帖子 ws2115465 » 2013-05-19 22:48

Usage:

sudo apt-get install qt4-qmlviewer libqtmultimediakit1 libdeclarative-multimedia gstreamer0.10-plugins-ugly

qmlviewer qDoubanFM.qml
头像
ws2115465
帖子: 68
注册时间: 2011-01-20 11:28
送出感谢: 0
接收感谢: 0

Re: 一个Qt版的豆瓣电台客户端

#15

帖子 ws2115465 » 2013-05-19 22:49

Usage:

sudo apt-get install qt4-qmlviewer libqtmultimediakit1 libdeclarative-multimedia gstreamer0.10-plugins-ugly

qmlviewer qDoubanFM.qml
回复

回到 “影音多媒体”